Uploaded image for project: 'Thrift'
  1. Thrift
  2. THRIFT-3082

Ruby 2.2.1 Support

    XMLWordPrintableJSON

    Details

    • Type: New Feature
    • Status: Closed
    • Priority: Major
    • Resolution: Cannot Reproduce
    • Affects Version/s: None
    • Fix Version/s: 0.12.0
    • Component/s: Ruby - Compiler
    • Labels:
      None

      Description

      Ruby 1.9 support has ended. When building against Ruby 2.2.1 (or potentially higher than 1.9), the following error occurs: Thrift::ThreadPoolServer should serve inside a thread. Any roadmap for the current Ruby version support?

        Attachments

          Activity

            People

            • Assignee:
              jking3 James E. King III
              Reporter:
              hs2323 Harry S.
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: